package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.MachineLearnIns;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

public interface MachineLearnInsService {

    Page<MachineLearnIns> queryByPage(Long machineLearnId, PageRequest pageRequest);

    MachineLearnIns insert(MachineLearnIns machineLearnIns);

    MachineLearnIns update(MachineLearnIns machineLearnIns);

    String removeById(Long id);

    String batchDelete(List<Long> ids);

    List<MachineLearnIns> queryNotTerminated();

    MachineLearnIns queryStatusFromArgo(MachineLearnIns machineLearnIns);

    boolean terminateMLIns(Long id) throws Exception;

    MachineLearnIns getDetailById(Long id);

    void updateMLStatus(Long machineLearnId);
}
